# $Id: smeserver-usbdisksmanager.spec,v 1.1 2008/04/21 17:25:59 slords Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-usbdisksmanager
%define name smeserver-usbdisksmanager

# Variable representing installation directories:
%define installdir_usbdisksmanager /etc/e-smith/web/functions
%define installdir_usbdisks_sh /usr/sbin

Name: %{name}
%define version 0.2
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: SMEserver/addon
Source: %{name}-%{version}.tgz
Patch0: smeserver-usbdisksmanager-0.2-removehelp.patch
Patch1: smeserver-usbdisksmanager-0.2-locale-2008-04-21.patch
Patch2: smeserver-usbdisksmanager-0.2-locale-2008-04-22.patch
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools >= 1.13.1-03
BuildArchitectures: noarch

Requires: smeserver-release >= 7.0
AutoReqProv: no

%changelog
* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-4
- Apply 22 April 2008 locale patch

* Mon Apr 21 2008 Stephen Noble <support@dungog.net> 0.2-3
- smeserver-usbdisksmanager-0.2-locale-2008-04-21.patch

* Fri Apr 18 2008 Stephen Noble <support@dungog.net> 0.2-2
- remove help to wiki to simplify translations [SME 4208]

* Mon Apr 9 2007 JP PIALASSE tests@pialasse.com  0.2-0.5
- how to format your hard drive
- auto mount to media folder
- mount options for mount to can be set 
- new Help section

%description
Web interface to manage removable hard drive, and auto mount to a point script

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%install

/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(750,root,root)
%{installdir_usbdisks_sh}/usbdisks.sh
%defattr(4750,root,admin)
%{installdir_usbdisksmanager}/usbdisks

%clean
rm -rf $RPM_BUILD_ROOT

